/*				 - HEAP.C -

   Storage for "malloc".

   To change default heap size:

     1. Change HEAP_SIZE
     2. Recompile with the -b and -P options
     3. Update library with xlib:

	  xlib
	  *def-cpu PROCESSOR_NAME
	  *ren-mod heap heap _heap_of_memory
	  *rep-mod heap LIBRARY_FILE
	  *exit

     PROCESSOR_NAME and LIBRARY_FILE are the same as the one used in xlink.
*/


#define HEAP_SIZE 20000

char _heap_of_memory [HEAP_SIZE];

char *_last_heap_object = _heap_of_memory;

char *_top_of_heap = _heap_of_memory + HEAP_SIZE;

