		/*		IO51.H			*/
		/* Special header for 8051 I/O 		*/


int input(int address);			/* Read special function reg */

void output(int address,int val);	/* Write special function reg */

/* Pre-defined addresses: */

#define P0	0x80
#define P1	0x90
#define P2	0xA0
#define P3	0xB0

#define PCON	0x87
#define TCON	0x88
#define TMOD	0x89
#define TL0	0x8A
#define TH0	0x8C
#define TL1	0x8B
#define TH1	0x8D
#define TL2	0xCA
#define TH2	0xCB

#define IE	0xA8
#define IP	0xB8

#define SCON	0x98
#define SBUF	0x99
#define T2CON	0xC8

#define SP	0X81
