/*			MATH.H

   Declaration of the available floating point functions.
   Information about these functions can be found in the ANSI
   C-Draft and in UNIX litterature.

*/

double atan (double arg);

double atan2 (double arg1, double arg2);

double asin (double arg);

double acos (double arg);

double tan (double arg);

double cos (double arg);

double sin (double arg);

double sqrt (double arg);

double exp (double arg);

double pow (double arg1, double arg2);

double exp10 (double arg);

double log (double arg);

double log10 (double arg);

double modf (double value, double *iptr);

double floor (double arg);

double ceil (double arg);

double frexp (double arg1, int *arg2);
