/*				STDARG.H

   Works with:

	VAX/UNIX 'cc'
	Archimedes C-51
	IAR Systems ICCxxx
	MicroSoft 8086-C V3.00

*/

typedef char *va_list[1];

#ifndef REV_ARG_STACK

# define va_start(ap,parmN) ap[0] = ((char *) &parmN) + sizeof(parmN)
# define va_arg(ap,mode) (ap[0] += sizeof(mode),*(mode *)(ap[0] - sizeof(mode)))
#else	/* Single chip memory model special */

# define va_start(ap,parmN) ap[0] = ((char *) &parmN)
# define va_arg(ap,mode) (*(mode *)(ap[0] -= sizeof(mode)))

#endif

# define va_end(ap) ap
