/* rotio.c rotinas de i/o em c */
/* Copiadas pelo P. Diniz */

#include "io51.h"

#define RRDY    0x01
#define NOTRRDY 0xfe
#define TRDY    0x02
#define XON     0x11
#define XOFF    0x13

char putin()
{
  while ((input(SCON) & RRDY) == 0);
  output (SCON,input(SCON) & NOTRRDY);
  return (input (SBUF) & 0x7F);
}

putout (c)
char c;
{
  if ((input (SCON) & RRDY ) == 0)
    {
      if ((input (SBUF) & 0x7F) == XOFF)
        while ( putin() != XON );
    }
  while ((input (SCON) & TRDY) == 0);
  output (SBUF,c);
  output (SCON, (input (SCON) & NOTRRDY));
}

print (str)
char *str;
{
  int i;
  i = 0;
  while (str[i] != 0)
    putout (str[i++]);
}
